﻿<%@ Page Language="C#" EnableEventValidation="true" EnableSessionState="True" AutoEventWireup="true" CodeBehind="Reports.aspx.cs" MasterPageFile="~/Site.master" Inherits="ASLReports.Reports" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>
<ASP:CONTENT id="Content2" contentplaceholderid="MainContent" runat="Server">
    <title>ASLogger Reports</title>
    <link href="Css/siteStyle.css" rel="stylesheet" type="text/css" />
    <link href="Css/siteStyleJquery.css" rel="stylesheet" type="text/css" />
    <link href="Css/jquery/jquery-ui-1.8.18.custom.css" rel="stylesheet" type="text/css" />
    <link href="Css/jquery/jquery-ui-timepicker-addon.css" rel="stylesheet" type="text/css" />
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-1.7.1.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-1.8.18.custom.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-timepicker-addon.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-sliderAccess.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/date.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/popup.js") %>" type="text/javascript"></script>
    <script type="text/javascript">
        var today = Date.parse('today').toString('yyyy-MM-dd');
        var yesterday = new Date().add(-1).day();
        var firstDayOfMonth = Date.today().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
        var lastDayOfMonth = Date.today().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var month = Date.parse('today').toString('MM');
        var year = Date.parse('today').toString('yyyy');
        var quarterMonth = (Math.floor(month / 3) * 3) + 1;
        var quarter = (Math.floor(month / 3)) + 1;
        var lastQuarter = (quarter > 1) ? quarter - 1 : lastQuarter = 4;
        var quarterStartDate = (quarterMonth < 10) ? year + '-0' + quarterMonth + '-01' : year + '-' + quarterMonth + '-01';
        var quarterEndDate = Date.parse(quarterStartDate).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullMonthStart = Date.today().add(-1).months().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
        var lastFullMonthEnd = Date.today().add(-1).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullQuarterStart = ((((lastQuarter - 1) * 3) + 1) < 10) ? year + '-0' + (((lastQuarter - 1) * 3) + 1) + '-01' : year + '-' + (((lastQuarter - 1) * 3) + 1) + '-01';
        var lastFullQuarterEnd = Date.parse(lastFullQuarterStart).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
        var lastFullYearStart = Date.today().add(-1).years().toString('yyyy') + '-01-01';
        var lastFullYearEnd = Date.today().add(-1).years().toString('yyyy') + '-12-31';
        var currentFullYearStart = Date.parse('today').toString('yyyy') + '-01-01';
        var currentFullYearEnd = Date.parse('today').toString('yyyy') + '-12-31';
        var currentFullWeekStart = Date.monday().toString('yyyy-MM-dd');
        var currentFullWeekEnd = Date.today().moveToDayOfWeek(0);
        var lastFullWeekStart;
        var lastFullWeekEnd;
        if (Date.today().is().monday()) {
            lastFullWeekStart = Date.today().last().monday().toString('yyyy-MM-dd');
            lastFullWeekEnd = Date.today().last().monday().add(+6).days().toString('yyyy-MM-dd');
        }
        else {
            lastFullWeekStart = Date.today().last().monday().add(-7).days().toString('yyyy-MM-dd');
            lastFullWeekEnd = Date.today().last().monday().add(-1).days().toString('yyyy-MM-dd');
        }

        $(document).ready(function () {
            $("#<%= IDTimeStart.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= IDTimeEnd.ClientID %>").val().split(":")[0] * 3600 + $("#<%= IDTimeEnd.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= IDTimeEnd.ClientID %>").val($(this).val());
                }
            });

            $("#<%= IDTimeEnd.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= IDTimeStart.ClientID %>").val().split(":")[0] * 3600 + $("#<%=IDTimeStart.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= IDTimeStart.ClientID %>").val($(this).val());
                }
            });

            $("#<%= IDDurationStart.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= IDDurationEnd.ClientID %>").val().split(":")[0] * 3600 + $("#<%= IDDurationEnd.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= IDDurationEnd.ClientID %>").val($(this).val());
                }
            });

            $("#<%= IDDurationEnd.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= IDDurationStart.ClientID %>").val().split(":")[0] * 3600 + $("#<%= IDDurationStart.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= IDDurationStart.ClientID %>").val($(this).val());
                }
            });
            $("#<%= txtTimeStartCR.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= txtTimeEndCR.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtTimeEndCR.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtTimeEndCR.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtTimeEndCR.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= txtTimeStartCR.ClientID %>").val().split(":")[0] * 3600 + $("#<%=txtTimeStartCR.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtTimeStartCR.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtDurationStartCR.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    var secondsEnd = $("#<%= txtDurationEndCR.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtDurationEndCR.ClientID %>").val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtDurationEndCR.ClientID %>").val($(this).val());
                }
            });

            $("#<%= txtDurationEndCR.ClientID %>").timepicker({
                showSecond: true
                , timeFormat: 'hh:mm:ss'
                , hourGrid: 4
                , minuteGrid: 10
                , secondGrid: 15
                , onClose: function (selectedDateTime) {
                    var secondsStart = $("#<%= txtDurationStartCR.ClientID %>").val().split(":")[0] * 3600 + $("#<%= txtDurationStartCR.ClientID %>").val().split(":")[1] * 60;
                    var secondsEnd = $(this).val().split(":")[0] * 3600 + $(this).val().split(":")[1] * 60;
                    if (secondsStart > secondsEnd)
                        $("#<%= txtDurationStartCR.ClientID %>").val($(this).val());
                }
            });
            $("#<%=IDDateStart.ClientID %>").datepicker({
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var endDateTextBox = $("#<%=IDDateEnd.ClientID %>");
                    if (endDateTextBox.val() != '') {
                        var testStartDate = new Date(dateText);
                        var testEndDate = new Date(endDateTextBox.val());
                        if (testStartDate > testEndDate)
                            endDateTextBox.val(dateText);
                    }
                    else {
                        endDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var start = $(this).datepicker('getDate');
                    $("#<%=IDDateEnd.ClientID %>").datepicker('option', 'minDate', new Date(start.getTime()));
                }
            });
            $("#<%=IDDateEnd.ClientID %>").datepicker({
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var startDateTextBox = $("#<%=IDDateStart.ClientID %>");
                    if (startDateTextBox.val() != '') {
                        var testStartDate = new Date(startDateTextBox.val());
                        var testEndDate = new Date(dateText);
                        if (testStartDate > testEndDate)
                            startDateTextBox.val(dateText);
                    }
                    else {
                        startDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var end = $(this).datepicker('getDate');
                    $("#<%=IDDateStart.ClientID %>").datepicker('option', 'maxDate', new Date(end.getTime()));
                }
                , beforeShow: function () {
                    var d = $("#<%= IDDateStart.ClientID %>").datepicker('getDate');
                    if (d) return { minDate: d }
                }
            });
            $("#<%=txtDateStartCR.ClientID %>").datepicker({
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var endDateTextBox = $("#<%=txtDateEndCR.ClientID %>");
                    if (endDateTextBox.val() != '') {
                        var testStartDate = new Date(dateText);
                        var testEndDate = new Date(endDateTextBox.val());
                        if (testStartDate > testEndDate)
                            endDateTextBox.val(dateText);
                    }
                    else {
                        endDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var start = $(this).datepicker('getDate');
                    $("#<%=txtDateEndCR.ClientID %>").datepicker('option', 'minDate', new Date(start.getTime()));
                }
            });
            $("#<%=txtDateEndCR.ClientID %>").datepicker({
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var startDateTextBox = $("#<%=txtDateStartCR.ClientID %>");
                    if (startDateTextBox.val() != '') {
                        var testStartDate = new Date(startDateTextBox.val());
                        var testEndDate = new Date(dateText);
                        if (testStartDate > testEndDate)
                            startDateTextBox.val(dateText);
                    }
                    else {
                        startDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var end = $(this).datepicker('getDate');
                    $("#<%=txtDateStartCR.ClientID %>").datepicker('option', 'maxDate', new Date(end.getTime()));
                }
                , beforeShow: function () {
                    var d = $("#<%= txtDateStartCR.ClientID %>").datepicker('getDate');
                    if (d) return { minDate: d }
                }
            });
            $("#<%= this.btnView.ClientID %>").click(function () {
                $("#blocker").show();
            });

            $("#<%= this.IDDReportType.ClientID %>").change(function () {
                $("#<%= this.hdnRptType.ClientID %>").val(this.value);
                populateXAxisData(this.value);
                populateReportData(this.value);
                if (this.value == 0) {
                    $("#TrChkViewCallDetail").hide();
                }
                else
                    $("#TrChkViewCallDetail").show();
            });

            $("#<%= this.IDReportBasedOn.ClientID %>").change(function () {
                $("#<%= this.hdnYAxisID.ClientID %>").val(this.value);
            });

            $("#<%= IDDurationLimit.ClientID %>").change(function () {
                switch (this.value) {
                    case '0':
                        $("#<%= IDDurationStart.ClientID %>").val('00:00:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:00:00');
                        break;
                    case '1':
                        $("#<%= IDDurationStart.ClientID %>").val('00:00:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:00:03');
                        break;
                    case '2':
                        $("#<%= IDDurationStart.ClientID %>").val('00:00:04');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:00:14');
                        break;
                    case '3':
                        $("#<%= IDDurationStart.ClientID %>").val('00:00:15');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:00:59');
                        break;
                    case '4':
                        $("#<%= IDDurationStart.ClientID %>").val('00:01:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:02:00');
                        break;
                    case '5':
                        $("#<%= IDDurationStart.ClientID %>").val('00:02:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:05:00');
                        break;
                    case '6':
                        $("#<%= IDDurationStart.ClientID %>").val('00:05:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:10:00');
                        break;
                    case '7':
                        $("#<%= IDDurationStart.ClientID %>").val('00:10:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('00:30:00');
                        break;
                    case '8':
                        $("#<%= IDDurationStart.ClientID %>").val('00:30:00');
                        $("#<%= IDDurationEnd.ClientID %>").val('23:59:59');
                        break;
                    default:
                        alert("ERROR! Talk Time");
                        break;
                }
            });
            $("#<%= IDDwnReportWithinLimit.ClientID %>").change(function () {
                switch (this.value) {
                    case '0':
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', new Date());
                        $("#<%= IDDateStart.ClientID %>").datepicker("setDate", -7);
                        break;
                    case '1': //Today
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', today);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', today);
                        break;
                    case '2': //Yesterday
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', yesterday);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', yesterday);
                        break;
                    case '3': //This week
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', currentFullWeekStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', currentFullWeekEnd);
                        break;
                    case '4': //Last week
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', lastFullWeekStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', lastFullWeekEnd);
                        break;
                    case '5': //This month
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', firstDayOfMonth);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', lastDayOfMonth);
                        break;
                    case '6': //Last month
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', lastFullMonthStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', lastFullMonthEnd);
                        break;
                    case '7': //This Quarter
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', quarterStartDate);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', quarterEndDate);
                        break;
                    case '8': //Last Quarter
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', lastFullQuarterStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', lastFullQuarterEnd);
                        break;
                    case '9': //Year to date
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', currentFullYearStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', today);
                        break;
                    case '10': //Last Year
                        $("#<%= IDDateStart.ClientID %>").datepicker('setDate', lastFullYearStart);
                        $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', lastFullYearEnd);
                        break;
                    default:
                        alert("ERROR! Select Executive Summary");
                        break;
                }
            });

            $("#<%= IDLastSavedSearch.ClientID %>").change(function (e) {
                if (this.selectedIndex == 0) {
                    $("#<%= btnDeleteTemplateLink.ClientID %>").hide();
                }
                else {
                    $("#<%= btnDeleteTemplateLink.ClientID %>").show();
                    $("#blocker").show();
                }
            });

            $("#<%= this.IDDateStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.IDDateEnd.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.IDTimeStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.IDTimeEnd.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.IDDurationStart.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.IDDurationEnd.ClientID %>").attr('readOnly', 'true');

            $("#<%= this.txtDateStartCR.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDateEndCR.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtTimeStartCR.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtTimeEndCR.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDurationStartCR.ClientID %>").attr('readOnly', 'true');
            $("#<%= this.txtDurationEndCR.ClientID %>").attr('readOnly', 'true');

            setDefaultValues();
            $('#<%= hdnRprtID.ClientID%>').val($("#<%= IDXAxis.ClientID %>").val());

            $("#<%= IDXAxis.ClientID %>").change(function () {
                $("#<%= hdnRprtID.ClientID %>").val(this.value);
            });
            function TreeLogicforSQLOptions() {
                var SQL = '';
                var oldCheckBoxStatusVal = '';
                var elements = document.getElementById("<%= UsersTree.ClientID %>").getElementsByTagName('input');
                for (var i = 0; i < elements.length; i++) {
                    if (elements.item(i).type == "checkbox") {
                        if (elements.item(i).checked) {
                            var NodeValue = elements.item(i).nextSibling
                            var ValuesofNode = NodeValue.nameProp.split("\\");
                            ValuesofNode = $(ValuesofNode).last()[0]
                            ValuesofNode = ValuesofNode.slice(0, -2)
                            var param = ValuesofNode.split(":");
                            var param1 = param[0];
                            var param2 = param[1];
                            var isGroup = param[2];
                            var treeID;
                            if (g_UserType == 1) { treeID = "#<%= ddlFilterUserTree.ClientID %>"; }
                            else { treeID = "#<%= ddlFilterUserTree1.ClientID %>"; }
                            if (isGroup.toString() == "0" || g_UserType == 0) {
                                var Parent = GetParentByTagName123("div", elements.item(i)).previousSibling;
                                var ParentCheckBox = Parent.getElementsByTagName("input")[0];
                                if (ParentCheckBox != null) {
                                    if (param2 != "") {
                                        if (ParentCheckBox.checked && g_UserType == 0) {
                                            if (SQL == '') {
                                                SQL = SQL + " and (";
                                            }
                                            else {
                                                SQL = SQL + " or ";
                                            }

                                            if ($(treeID).val() == 0) {
                                                SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                            }
                                            else { SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")"; }
                                        }
                                        else {
                                            if (SQL == '') {
                                                SQL = SQL + " and (";
                                            }
                                            else {
                                                SQL = SQL + " or ";
                                            }
                                            if ($(treeID).val() == 0) {
                                                SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                            }
                                            else { SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")"; }
                                        }
                                    }
                                }
                            }
                            else {

                                if (g_UserType == 1) {
                                    if ($(elements.item(i)).next().html() == 'Parent') {
                                        break;
                                    }
                                    else {

                                        if (SQL == '') {
                                            SQL = SQL + " and (";
                                        }
                                        else {
                                            SQL = SQL + " or ";
                                        }
                                        SQL = SQL + "(CI.GroupNum IN (" + param1 + "))";
                                        oldCheckBoxStatusVal = param1
                                    }
                                }
                            }
                        }
                    }
                }
                if (SQL != "")
                    SQL = SQL + " )";
                return SQL;
            }
            $('#<%= btnView.ClientID%>').click(function () {
                var SQL = TreeLogicforSQLOptions();
                if (g_UserType == 0 && SQL == "") {
                    alert("Please select users.");
                }
                $('#<%= hdnGroupOption.ClientID%>').val("");
                $('#<%= hdnGroupOptionExt.ClientID%>').val("");
                $('#<%= hdnOptionExt.ClientID%>').val(SQL);
            });

            populateXAxisData($('#<%= this.IDDReportType.ClientID %> :selected').val());
            populateReportData($('#<%= this.IDDReportType.ClientID %> :selected').val());
            if ($("#<%= hdSetEmailRprtPath.ClientID %>").val() != '') {
                emailReport();
                $("#<%= hdSetEmailRprtPath.ClientID %>").val('');
            }
            if ($('#<%= this.IDDReportType.ClientID %> :selected').val() == 0)
                $("#TrChkViewCallDetail").hide();
            else
                $("#TrChkViewCallDetail").show();

            templateDiv();
            deleteButton();
        });

        function populateXAxisData(graphType) {
            var xAxisOptions = {
                1: 'Day',
                2: 'Month Week Day',
                3: 'Month',
                4: 'Week Day',
                5: 'Hour'
            };

            var selectedVal = $("#<%= IDXAxis.ClientID %>").val();
            $("#<%= IDXAxis.ClientID %>").empty();
            if (graphType == 0) {
                $.each(xAxisOptions, function (val, text) {
                    $("#<%= IDXAxis.ClientID %>").append($('<option></option>').val(val).html(text));
                });
            }
            else if (graphType == 1 || graphType == 2) {
                $.each(xAxisOptions, function (val, text) {
                    if (val != 2 && val != 5) {
                        $("#<%= IDXAxis.ClientID %>").append($('<option></option>').val(val).html(text));
                    }
                });
            }
            $("#<%= IDXAxis.ClientID %>").addClass("comboBoxLarge");
            $("#<%= IDXAxis.ClientID %>").val(selectedVal);
            $("#<%= hdnRprtID.ClientID %>").val($("#<%= IDXAxis.ClientID %>").val());
        }

        function populateReportData(reportType) {
            var yAxisOptions = {
                1: 'Number of Calls',
                2: 'Call Duration',
                3: 'Average Call Duration',
                4: 'Summerised Report'
            };

            var selectedVal = $("#<%= this.IDReportBasedOn.ClientID %>").val();
            $("#<%= this.IDReportBasedOn.ClientID %>").empty();
            if (reportType == 0) {
                $.each(yAxisOptions, function (val, text) {
                    $("#<%= this.IDReportBasedOn.ClientID %>").append($('<option></option>').val(val).html(text));
                });
            }
            else if (reportType == 1 || reportType == 2) {
                $.each(yAxisOptions, function (val, text) {
                    if (val != 4) {
                        $("#<%= this.IDReportBasedOn.ClientID %>").append($('<option></option>').val(val).html(text));
                    }
                });
            }
            $("#<%= this.IDReportBasedOn.ClientID %>").addClass("comboBoxLarge");
            $("#<%= this.IDReportBasedOn.ClientID %>").val(selectedVal);
            $("#<%= this.hdnYAxisID.ClientID %>").val($("#<%= this.IDReportBasedOn.ClientID %>").val());
        }
        function setDefaultValues() {
            if ($("#<%= IDTimeStart.ClientID %>").val() == '')
                $("#<%= IDTimeStart.ClientID %>").val('00:00:00');
            if ($("#<%= IDTimeEnd.ClientID %>").val() == '')
                $("#<%= IDTimeEnd.ClientID %>").val('00:00:00');
            if ($("#<%= IDDurationStart.ClientID %>").val() == '')
                $("#<%= IDDurationStart.ClientID %>").val('00:00:00');
            if ($("#<%= IDDurationEnd.ClientID %>").val() == '')
                $("#<%= IDDurationEnd.ClientID %>").val('00:00:00');
            if ($("#<%= IDDateEnd.ClientID %>").val() == '')
                $("#<%= IDDateEnd.ClientID %>").datepicker('setDate', new Date());
            if ($("#<%= IDDateStart.ClientID %>").val() == '')
                $("#<%= IDDateStart.ClientID %>").datepicker("setDate", -7);


            if ($("#<%= txtDateEndCR.ClientID %>").val() == '')
                $("#<%= txtDateEndCR.ClientID %>").datepicker('setDate', new Date());
            if ($("#<%= txtDateStartCR.ClientID %>").val() == '')
                $("#<%= txtDateStartCR.ClientID %>").datepicker("setDate", -7);
            if ($("#<%= txtTimeStartCR.ClientID %>").val() == '')
                $("#<%= txtTimeStartCR.ClientID %>").val('00:00:00');
            if ($("#<%= txtTimeEndCR.ClientID %>").val() == '')
                $("#<%= txtTimeEndCR.ClientID %>").val('00:00:00');
            if ($("#<%= txtDurationStartCR.ClientID %>").val() == '')
                $("#<%= txtDurationStartCR.ClientID %>").val('00:00:00');
            if ($("#<%= txtDurationEndCR.ClientID %>").val() == '')
                $("#<%= txtDurationEndCR.ClientID %>").val('00:00:00');
        }

        function templateDiv() {
            if ($("#IDLastSavedSearch option").length == 1)
                $("#divChooseTemplate").hide();
            else
                $("#divChooseTemplate").show();
        }
        function confirmation() {
            if (confirm("Are you sure you want to delete this Template ?") == true)
                return true;
            else
                return false;
        }
        function deleteButton() {
            if ($('select[id$=IDLastSavedSearch] :selected').text() == 'NONE') {
                $("#<%= btnDeleteTemplateLink.ClientID %>").hide();
            }
            else {
                $("#<%= btnDeleteTemplateLink.ClientID %>").show();
            }
        }

    </script>

    <script language="JavaScript" type="text/JavaScript">
        function emailReport() {
            try {

                var filePath = $("#<%= hdSetEmailRprtPath.ClientID %>").val();

                if (filePath != '' && $("#<%= hdSetEmailRprtPath.ClientID %>").val() != '') {

                    var filename = filePath.split('\\');
                    filename = filename[filename.length - 1].split('.')[0];
                    var theApp = new ActiveXObject("Outlook.Application");
                    var theMailItem = theApp.CreateItem(0);
                    var subject = filename + " Report";
                    var msg = "Please find the attached report";
                    theMailItem.Subject = subject;
                    theMailItem.Body = msg;
                    theMailItem.Attachments.add(filePath);
                    theMailItem.display();
                }
                else
                    alert("No Report Available for e-mail! Please Generate Report First...");
            }
            catch (err) {
                alert("The following may have cause this error: \n" +
     	                "1. The Outlook express is not installed on the machine.\n" +
     	                "2. The msoutl.olb is not availabe at the location " +
    	                 "C:\\Program Files\\Microsoft Office\\OFFICE11\\msoutl.old on client's machine " +
     	                "due to bad installation of the office." +
     	                "Re-Install Msoffice with default settings.\n" +
     	                "3. The Initialize and Scripts ActiveX controls not marked as safe is not set to enable.");
            }
        }
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            var templatePopup = new popup();
            templatePopup.init(null, '#templateLink', '#popupClose', '#backgroundPopup', '#divTemplatePopup');
        });

    </script>
    <script type="text/javascript">
        function showpopCustomReport() {
            $("#popcustomReport").dialog({
                width: '700px',
                title: 'Custom Report',
                modal: true,
                open: function () {
                    $(this).parent().appendTo("form:first");
                }
            });
        }
        $(document).ready(function () {
            HideAutoLogin();
            document.getElementById("IDtblMaster").style.width = $(window).width() - 4 + 'px';
            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
            document.getElementById("IDtrParent").style.height = $("#IDtblMaster").height() + 'px';
            document.getElementById("IDtrParent").style.width = $("#IDtblMaster").width() + 'px';
            document.getElementById("TdUserTree").style.height = $("#IDtrParent").height() - $("#tblSearchPanelID").height() + 'px';
            
            $("#<%= divExcel.ClientID %>").height(($("#IDtrParent").height() - 75) + 'px');
            $("#<%= divExcel.ClientID %>").width(($("#IDtrParent").width() - 256) + 'px');

            $("#<%= IDGridReportViewer.ClientID %>").width($("#<%= divExcel.ClientID %>").width() + 'px');
            $("#<%= IDGridReportViewer.ClientID %>").height($("#<%= divExcel.ClientID %>").height() + 'px');
            $("#<%= IDDivMsg.ClientID %>").width(($("#IDtblMaster").width() - 250) + 'px');
            
            if (document.getElementById("divChooseTemplate"))
                document.getElementById("divChooseTemplate").style.display = "none";

            document.getElementById("trCreateCustomReport").style.display = "none";

            if ($("#<%= IDdivSaveSearch.ClientID %>"))
                $("#<%= IDdivSaveSearch.ClientID %>").hide();
        });
        var prm = Sys.WebForms.PageRequestManager.getInstance();
        prm.add_beginRequest(BeginRequestHandler);
        prm.add_endRequest(EndRequestHandler);

        function BeginRequestHandler(sender, args) {
        }

        function EndRequestHandler(sender, args) {
            if (document.getElementById("divChooseTemplate"))
                document.getElementById("divChooseTemplate").style.display = "none";

            document.getElementById("trCreateCustomReport").style.display = "none";

            if ($("#<%= IDdivSaveSearch.ClientID %>"))
                $("#<%= IDdivSaveSearch.ClientID %>").hide();

            document.getElementById("TdUserTree").style.height = ($("#LeftPanParentTD").height() - 440) + 'px';
        }
    </script>

  <table class="main" cellpadding="0" cellspacing="0" border="0" id="tableMain" style="height: 100%; width: 100%;background-color: #A1D8F1;">
    <tr id="IDtrParent">
        <td class="leftCol" id="LeftPanParentTD" valign="top" style="height:100%;width:250px;background-color:#A1D8F1; vertical-align:top; border: 0px solid #099CD0;"> 
            <table style="height:100%;width:250px;">
            <tr><td style="vertical-align:top; height:20px; background-color: #D5EBF6;" id="TopLeftPanID">
               <ASP:UPDATEPANEL runat="server" id="upd1" updatemode="Conditional" rendermode="Block" >
                    <CONTENTTEMPLATE>
                    <%
                        if (GetUsertype() == 1)
                        {%>
                        <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                            autopostback="true" cssclass="DropDownChannels">
                            <ASP:LISTITEM text="Show Channel Names" value="4"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Show Users" value="0" selected="True"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Show Groups" value="-1"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Show Channels" value="1"></ASP:LISTITEM>
                        </ASP:DROPDOWNLIST>
                        <%}
                        else
                        { %>
                        <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree1" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                            autopostback="true" cssclass="DropDownChannels">
                            <ASP:LISTITEM text="Show Channel Names" value="4"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Show Channels" value="1" selected="True"></ASP:LISTITEM>
                        </ASP:DROPDOWNLIST>
                        <%} %>
                        <div style="width:100%; height:100px; float: left; overflow: auto;" id="TdUserTree">
                            <ASP:TREEVIEW id="UsersTree" runat="server" showlines="true" showcheckboxes="All" cssclass="TreeViewLinkdesign">
                            </ASP:TREEVIEW>
                        </div>
                    </CONTENTTEMPLATE>  
                </ASP:UPDATEPANEL>
                <asp:HiddenField ID="hdnRptType" Value="0" runat="server" />
                <asp:HiddenField ID="hdnRprtID" Value="0" runat="server" />
                <asp:HiddenField ID="hdnYAxisID" Value="1" runat="server" />
                <asp:HiddenField ID="hdSetEmailRprtPath" Value="" runat="server" />
                <asp:HiddenField ID="hdnGroupOption" Value="" runat="server" />
                <asp:HiddenField ID="hdnGroupOptionExt" Value="" runat="server" />
                <asp:HiddenField ID="hdnOptionExt" Value="" runat="server" />      
            </td></tr>
            <tr><td height = "380px" width="100%" id="SearchParamTD" style="vertical-align:bottom;background:#A1D8F1;">
            <table style="height:100%; width:100%; background:#A1D8F1;" id="tblSearchPanelID">
                <tr>
                    <td class="alignRight" nowrap="nowrap">Report Type:</td>
                    <td colspan="2">
                        <asp:DropDownList ID="IDDReportType" runat="server" CssClass="comboBoxLarge">
                            <asp:ListItem Value="0" Text="Report"></asp:ListItem>
                            <asp:ListItem Value="1" Text="Bar Chart"></asp:ListItem>
                            <asp:ListItem Value="2" Text="Pie Chart"></asp:ListItem>
                        </asp:DropDownList>
                    </td>                            
                </tr>
                <tr id="TrChkViewCallDetail"><td class="alignRight">Show Call:</td>
                    <td colspan="2">
                        <asp:CheckBox ID="IDChkViewCallDetail" runat="server" CssClass="chkBox" Text=""/>
                    </td>
                </tr>
                <tr>
                    <td class="alignRight" nowrap="nowrap">Report X Axis:</td>
                    <td colspan="2"><asp:DropDownList ID="IDXAxis" runat="server" CssClass="comboBoxLarge"></asp:DropDownList></td>
                </tr>
                <tr>
                    <td class="alignRight" nowrap="nowrap">Report Y Axis:</td>
                    <td colspan="2"><asp:DropDownList ID="IDYAxis" runat="server" CssClass="comboBoxLarge"></asp:DropDownList></td>
                </tr>
                <tr>
                    <td class="alignRight" nowrap="nowrap">Report based on:</td>
                    <td colspan="2">
                        <asp:DropDownList ID="IDReportBasedOn" runat="server" CssClass="comboBoxLarge">
                            <asp:ListItem Value="1" Text="Number of Calls"></asp:ListItem>
                            <asp:ListItem Value="2" Text="Call Duration"></asp:ListItem>
                            <asp:ListItem Value="3" Text="Average Call Duration"></asp:ListItem>
                            <asp:ListItem Value="4" Text="Include All Above"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td colspan="2" class="alignLeft" style="padding-right:5px"><asp:CheckBox ID="IDOnlychkANIALI" runat="server" CssClass="chkBox" Text=""/>Only ANIALI Calls</td>
                </tr>
                <tr>
                    <td class="alignRight">Shortcut date:</td>
                    <td colspan="2">
                        <asp:DropDownList ID="IDDwnReportWithinLimit" runat="server" CssClass="comboBoxLarge">
                            <asp:ListItem Value="0" Text="Last 7 Days"></asp:ListItem>
                            <asp:ListItem Value="1" Text="Today"></asp:ListItem>
                            <asp:ListItem Value="2" Text="Yesterday"></asp:ListItem>
                            <asp:ListItem Value="3" Text="This week"></asp:ListItem>
                            <asp:ListItem Value="4" Text="Last week"></asp:ListItem>
                            <asp:ListItem Value="5" Text="This month"></asp:ListItem>
                            <asp:ListItem Value="6" Text="Last month"></asp:ListItem>
                            <asp:ListItem Value="7" Text="This Quarter"></asp:ListItem>
                            <asp:ListItem Value="8" Text="Last Quarter"></asp:ListItem>
                            <asp:ListItem Value="9" Text="Year to date"></asp:ListItem>
                            <asp:ListItem Value="10" Text="Last Year"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" Display="None" runat="server" ControlToValidate="IDDateStart" ErrorMessage="Start Date is required" ForeColor="Red" ValidationGroup="FormValidation">*</asp:RequiredFieldValidator>
                <tr>
                    <td class="alignRight" nowrap="nowrap">Start Date: </td>
                    <td colspan="2">
                        <asp:TextBox ID="IDDateStart" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox>
                        <asp:TextBox ID="IDTimeStart" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox>
                    </td>
                </tr>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" Display="None" runat="server" ControlToValidate="IDDateStart" ErrorMessage="End Date is required" ForeColor="Red" ValidationGroup="FormValidation">*</asp:RequiredFieldValidator>
                <tr>
                    <td  class="alignRight" nowrap="nowrap">End Date:</td>
                    <td colspan="2"><asp:TextBox ID="IDDateEnd" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox>
                    <asp:TextBox ID="IDTimeEnd" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td class="alignRight">Quick Duration:</td>
                    <td colspan="2">
                        <asp:DropDownList ID="IDDurationLimit" runat="server" CssClass="comboBoxLarge">
                            <asp:ListItem Value="0" Text="Any Length"></asp:ListItem>
                            <asp:ListItem Value="1" Text="Less than 4 seconds"></asp:ListItem>
                            <asp:ListItem Value="2" Text="Between 4 and 14 seconds"></asp:ListItem>
                            <asp:ListItem Value="3" Text="Between 15 and 59"></asp:ListItem>
                            <asp:ListItem Value="4" Text="Between 1 and 2 minutes"></asp:ListItem>
                            <asp:ListItem Value="5" Text="Between 2 and 5 minutes"></asp:ListItem>
                            <asp:ListItem Value="6" Text="Between 5 and 10 minutes"></asp:ListItem>
                            <asp:ListItem Value="7" Text="Between 10 and 30 minutes"></asp:ListItem>
                            <asp:ListItem Value="8" Text="Longer than 30 minutes"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td class="alignRight">Duration:</td>
                    <td colspan="2">
                        <asp:TextBox ID="IDDurationStart" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox>
                        <asp:TextBox ID="IDDurationEnd" CssClass="ClsBoxDatetime" runat="server"></asp:TextBox>
                    </td>
                </tr>                
                <tr id="divChooseTemplate">
                    <td class="alignRight">Last Saved Search:</td>
                    <td colspan="2">
                        <asp:DropDownList ID="IDLastSavedSearch" AutoPostBack="true" runat="server" CssClass="comboBoxLarge" onchange="if(this.selectedIndex == 0)return false;"
                        OnSelectedIndexChanged="IDLastSavedSearch_SelectedIndexChanged"></asp:DropDownList>
                        <asp:ImageButton ID="btnDeleteTemplateLink" ImageUrl="~/Images/DeleteRed.png" runat="server" 
                                    AlternateText="Delete Template" OnClientClick="javascript:return confirmation();" OnClick="btnDeleteTemplateLink_Click" />
                    </td>
                </tr>
                <tr id='TrCreateTemplate' style="visibility:hidden; height:0px;">
                    <td colspan="3">
                        <div id="IDdivSaveSearch" runat="server" class="ClsLeftNav alignCenter">
                            <input type="button" value="Create Template" name="templateLink" id="templateLink" class="submitBtnMedium"  />
                            <div id="divPopupStatus" runat="server" class="redExtraSmall"></div>
                        </div>
                    </td>
                </tr>
                <tr id="trCreateCustomReport" style="visibility:hidden; height:0px;">
                    <td colspan="3" style="height:30px;">
                        <div id="divCreateCustomReport" runat="server" class="ClsLeftNav alignCenter">
                            <input id="btnCustomReport" onclick="showpopCustomReport()" type="button" value="Custom Report"  class="submitBtnMedium"  />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="SearchCSS">
                        Call Rating:
                    </td>
                    <td colspan="2">
                        <ASP:DROPDOWNLIST id="DROPDOWNLISTRating" cssclass="comboBoxLarge" runat="server">
                            <ASP:LISTITEM text="All Rating Levels" value="0"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Rating Level 1" value="1"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Rating Level 2" value="2"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Rating Level 3" value="3"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Rating Level 4" value="4"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Rating Level 5" value="5"></ASP:LISTITEM>
                        </ASP:DROPDOWNLIST>
                    </td>
                </tr>
                <tr>
                    <td class="SearchCSS">
                        Call Type:
                    </td>
                    <td colspan="2">
                        <ASP:DROPDOWNLIST id="CallAnswered" cssclass="DropDown4Search" runat="server">
                            <ASP:LISTITEM text="All Calls have duration" value="2"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Answered Calls" value="1"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Unanswered Calls" value="0"></ASP:LISTITEM>
                        </ASP:DROPDOWNLIST>
                    </td>
                </tr>
                <tr>
                    <td class="SearchCSS">
                        Direction:
                    </td>
                    <td colspan="2">
                        <ASP:DROPDOWNLIST id="CallDirection" cssclass="comboBoxLarge" runat="server">
                            <ASP:LISTITEM text="All Calls" value="0"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Inbound Calls" value="1"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Outbound Calls" value="2"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Unknown Direction" value="3"></ASP:LISTITEM>
                        </ASP:DROPDOWNLIST>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td colspan="2">
                        <ASP:CHECKBOXLIST runat="server" id="cblstBoxes" repeatcolumns="2" CssClass="regular-checkbox ">
                            <ASP:LISTITEM text="Critical" value="Critical"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Book Mark" value="BookMark"></ASP:LISTITEM>
                            <ASP:LISTITEM text="Important" value="StarMark"></ASP:LISTITEM>
                            <ASP:LISTITEM text="LOD" value="LOD"></ASP:LISTITEM>
                        </ASP:CHECKBOXLIST>
                    </td>
                </tr>
                <tr><td colspan="3" align="center" style="height:30px;">
                    <asp:Button ID="btnView" Text="Report" CssClass="submitButton" runat="server" ValidationGroup="FormValidation"
                        OnClick="btnView_Click" />
                </td></tr>
                <tr>
                    <td nowrap="nowrap" style="height:20px; vert-align: middle; text-align: right;" >
                    <span>Email Report</span>
                    </td>
                    <td colspan="2" nowrap="nowrap" style="height:20px; vert-align: middle;">
                    <asp:DropDownList ID="ddlEmailOptions" runat="server" CssClass="comboBoxSmall">
                        <asp:ListItem Value="xls" Text="Excel"></asp:ListItem>
                        <asp:ListItem Value="pdf" Text="PDF"></asp:ListItem>
                        <asp:ListItem Value="doc" Text="Word"></asp:ListItem>
                    </asp:DropDownList>
                    <asp:Button ID="btnEmail" CssClass="emailBtn" Text="Send" runat="server" OnClick="btnEmail_Click" />
                        <div style="display:none"><asp:ValidationSummary ID="FormValidationSummary" runat="server" ForeColor="Red" ValidationGroup="FormValidation" /></div>
                    </td>

                </tr>
            </table>                
            </td></tr>
            </table>            
        </td>
        <td id="IDTDRightPan" style="vertical-align:top;border: solid 1px #7f9db9;  border-left: 1px solid #099CD0; background: White; height:100px;">
            <div id="IDDivMsg" runat="server" clientidmode="Static" visible="false">
                <span class="red">
                    <asp:Label ID="lblInfo" runat="server" Text="No Data to Display" />
                </span>
            </div>
            <div id="divExcel" runat="server" clientidmode="Static" style="float:left; margin-left:0px; padding:3px;"> 
                <rsweb:ReportViewer ID="IDGridReportViewer" Height="100%" Width="100%" runat="server" Font-Names="Calibri" Font-Size="8pt" InteractiveDeviceInfos="(Collection)"
                    WaitMessageFont-Names="Calibri" WaitMessageFont-Size="14pt">
                    <ServerReport ReportServerUrl="" />
                    <LocalReport ReportPath="">
                    </LocalReport>
                </rsweb:ReportViewer>
            </div>
        </td>
    </tr>
</table>
<div id="divTemplatePopup" class="popupMain">
	    <a id="popupClose" class="popupMainClose" title="Close">X</a>
	      
	    <div class="popupForm">
	    <h2 style="text-align: center">Create Template</h2>
        <table class="formTable">
        <tbody>
        <tr>
            <td align="right">
            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" CssClass="redSmall" runat="server" ErrorMessage="*"
                                        ControlToValidate="txtTemplateName" ValidationGroup="addTemplate" />
            Template Name:</td>
            <td>
            <asp:TextBox ID="txtTemplateName" runat="server" CssClass="textFieldMedium" EnableViewState="False" />
            </td>
        </tr>
        <tr>
            <td align="right"></td>
            <td>
                <asp:Button ID="btnSaveTemplate" CssClass="emailBtn" Text="Save" 
                    onclick="btnSaveTemplate_Click" runat="server" ValidationGroup="addTemplate" />
            </td>
        </tr>
            
        </tbody>
        </table>
	        
	    </div>
</div>

<div id="blocker" style="display:none">
    <div style="width: 80px; height: 60px;padding-left: 15px; padding-top: 15px; background-color:#ECE9D8; border:1px solid black;filter: alpha(opacity = 90);opacity:.90;"><img src="Images/Loader.gif" alt="Please wait while Loading..."/><br/><span style="font-family:Calibri;font-size:14pt;">Loading...</span></div>
</div>
<div id="backgroundPopup" class="backgroundPopup" style=" display:none;"></div>    
        <div id="popcustomReport" class="popUpBoxCustomReport" style="display: none">
            <div style="height:410px;">
                <div class="reportCrietiaInner">
                    <table cellpadding="3px" cellspacing="0px" width="100%">
                        <tr>
                            <td align="right">
                                <asp:Label ID="label12" runat="server" Text="Custom Database Fields:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td colspan="5">
                                <div class="tableData">
                                    <div style="height:200px; overflow-y: auto;overflow-x: hidden;">
                                        <asp:GridView ID="gvTableField" runat="server" AutoGenerateColumns="False" CssClass="myTable"
                                        DataKeyNames="KEY" OnRowDataBound="gvTableField_RowDataBound" AlternatingRowStyle-CssClass="alt"
                                        CellPadding="0" BorderWidth="0">
                                        <AlternatingRowStyle CssClass="alt"></AlternatingRowStyle>
                                        <Columns>
                                            <asp:TemplateField HeaderStyle-Width="30" >
                                                <HeaderTemplate>
                                                    <asp:CheckBox ID="ChkAll" runat="server" />
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkSel" class="chkSel" runat="server" />
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="Caption" HeaderText="Caption" />
                                            <asp:BoundField DataField="Width" HeaderText="Width" Visible="false" />
                                            <asp:BoundField DataField="KEY" HeaderText="KEY" Visible="false" />
                    
                                            <asp:TemplateField HeaderText="KEY" Visible="false" >
                                                <ItemTemplate>
                                                    <asp:Label ID="lblKEY" runat="server"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>                    
                                        </Columns>
                                        <AlternatingRowStyle CssClass="alt" />
                                        <EmptyDataTemplate>
                                            No Data To Display
                                        </EmptyDataTemplate>
                                        </asp:GridView>
                                    </div>
                                <br />
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label5" runat="server" Text="Field Search Text:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtSearchTableField" CssClass="textFieldMedium2" runat="server" EnableViewState="False"></asp:TextBox>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                                <asp:Label ID="label6" runat="server" Text="Field Name:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:DropDownList ID="ddlTableField" runat="server" CssClass="comboBox2">
                                    <asp:ListItem Value="0" Text="NONE"></asp:ListItem>
                                    <asp:ListItem Value="1" Text="Group Name"></asp:ListItem>
                                    <asp:ListItem Value="2" Text="User Name"></asp:ListItem>
                                    <asp:ListItem Value="3" Text="Duration"></asp:ListItem>
                                    <asp:ListItem Value="4" Text="Extension ID"></asp:ListItem>
                                    <asp:ListItem Value="5" Text="File Name"></asp:ListItem>
                                    <asp:ListItem Value="6" Text="Start Time"></asp:ListItem>
                                    <asp:ListItem Value="7" Text="Call Time"></asp:ListItem>
                                    <asp:ListItem Value="8" Text="Call Comment"></asp:ListItem>
                                    <asp:ListItem Value="9" Text="Extension Name"></asp:ListItem>
                                    <asp:ListItem Value="10" Text="Caller/Callee Number"></asp:ListItem>
                                    <asp:ListItem Value="11" Text="Tag"></asp:ListItem>
                                    <asp:ListItem Value="12" Text="ROD CustName"></asp:ListItem>
                                    <asp:ListItem Value="13" Text="ROD CustNum"></asp:ListItem>
                                    <asp:ListItem Value="14" Text="ROD CustInfo2"></asp:ListItem>
                                    <asp:ListItem Value="15" Text="ROD CustInfo3"></asp:ListItem>
                                    <asp:ListItem Value="16" Text="ROD CustInfo4"></asp:ListItem>
                                    <asp:ListItem Value="17" Text="ANI Name"></asp:ListItem>
                                    <asp:ListItem Value="18" Text="ANI Phone"></asp:ListItem>
                                    <asp:ListItem Value="19" Text="ANI Details"></asp:ListItem>
                                    <asp:ListItem Value="20" Text="Bookmarks"></asp:ListItem>
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label8" runat="server" Text="Start Date:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtDateStartCR" CssClass="textFieldMedium2" EnableViewState="False" runat="server"></asp:TextBox>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                                <asp:Label ID="label9" runat="server" Text="End Date:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtDateEndCR" CssClass="textFieldMedium2" EnableViewState="False" runat="server" ></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label1" runat="server" Text="Start Time:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtTimeStartCR" CssClass="textFieldMedium2" runat="server" EnableViewState="False"></asp:TextBox>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                                <asp:Label ID="label2" runat="server" Text="End Time:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtTimeEndCR" CssClass="textFieldMedium2" runat="server" EnableViewState="False"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label3" runat="server" Text="Start Duration:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtDurationStartCR" CssClass="textFieldMedium2" runat="server" EnableViewState="False"></asp:TextBox>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                                <asp:Label ID="label4" runat="server" Text="End Duration:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:TextBox ID="txtDurationEndCR" CssClass="textFieldMedium2" runat="server" EnableViewState="False"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label7" runat="server" Text="Report Type:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:DropDownList ID="ddlXAxisCR" runat="server" CssClass="comboBox2">
                                </asp:DropDownList>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                                <asp:Label ID="label10" runat="server" Text="Data Item:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:DropDownList ID="ddlDataItemCR" runat="server" CssClass="comboBox2">
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="label11" runat="server" Text="Report Data:" Font-Bold="True" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <asp:DropDownList ID="ddlReportDataCR" runat="server" CssClass="comboBox2">
                                    <asp:ListItem Value="1" Text="Number of Calls"></asp:ListItem>
                                    <asp:ListItem Value="2" Text="Call Duration"></asp:ListItem>
                                    <asp:ListItem Value="3" Text="Average Call Duration"></asp:ListItem>
                                    <asp:ListItem Value="4" Text="All in One"></asp:ListItem>
                                </asp:DropDownList>
                            </td>
                            <td>&nbsp;</td>
                            <td align="right">
                        
                            </td>
                            <td>&nbsp;</td>
                            <td>
                        
                            </td>
                        </tr>                
                        <tr>
                            <td colspan="7">&nbsp;</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td>
                                <asp:Button ID="btnViewCustomReport" runat="server" Text="View Report" CssClass="submitBtnMedium"
                                    OnClick="btnViewCustomReport_Click" />
                            </td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>&nbsp;</td>
                        </tr>
                    </table>
            </div>
        </div>
    </div>
 </ASP:CONTENT>
